### Method

# FwupdPlugin Plugin get_data

since: 0.8.0

#### Declaration [src]

    FuPluginData*
    fu_plugin_get_data (
      FuPlugin* self
    )

#### Description [src]

Gets the per-plugin allocated private data. This will return `NULL` unless `fu_plugin_alloc_data()` has been called by the plugin.

Available since: 0.8.0

#### Return value

Type: `FuPluginData`

A pointer to a structure, or `NULL` for unset.

The returned data is owned by the instance.